Bug 195748 - x11/mate isn't installing
Summary: x11/mate isn't installing
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: i386 Any
: Normal Affects Many People
Assignee: freebsd-gnome (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-12-06 15:39 UTC by Chris
Modified: 2014-12-09 19:42 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chris 2014-12-06 15:39:16 UTC
Here we go again...

Registering installation for py27-gobject3-3.14.0 as automatic
pkg-static: lstat(/usr/ports/devel/py-gobject3/work/stage/usr/local/lib/python2.7/site-packages/pygobject-3.14.0-py2.7-freebsd-10.1-RELEASE-i386.egg-info): No such file or directory
Error code 74

Stop.
make[2]: stopped in /usr/ports/devel/py-gobject3
Error code 1

Stop.
make[1]: stopped in /usr/ports/x11/mate-applets
Error code 1

Stop.
make: stopped in /usr/ports/x11/mate

ee Makefile:

$FreeBSD: head/x11/mate/Makefile 367882 2014-09-10 19:06:54Z bap $
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2014-12-07 15:52:48 UTC
Fix Summary and assign.
Comment 2 Chris 2014-12-08 04:57:44 UTC
What's wrong with my summary?
Comment 3 commit-hook freebsd_committer 2014-12-09 15:56:24 UTC
A commit references this bug:

Author: kwm
Date: Tue Dec  9 15:55:41 UTC 2014
New revision: 374402
URL: https://svnweb.freebsd.org/changeset/ports/374402

Log:
  Restore the UNAME_M fix which was accidently reverted in the gnome3 import.
  This fixes the build on architechtures where MACHINE and MACHINE_ARCH to
  differ. But put it in the -common port so it shared between both versions
  of py-gobject3. [1]

  Work around python plist issue [2]

  PR:		188856 [1], 195342 [2], 195738 [2], 195748 [2]
  Sumbitted by:	sbruno [1], mva[2]

Changes:
  head/devel/pygobject3-common/Makefile
Comment 4 commit-hook freebsd_committer 2014-12-09 19:42:51 UTC
A commit references this bug:

Author: sbruno
Date: Tue Dec  9 19:42:44 UTC 2014
New revision: 374422
URL: https://svnweb.freebsd.org/changeset/ports/374422

Log:
  Follow up to svn r374402 and restore plist entries to support architectures where
  UNAME_M is required to generate the plist.

  PR:	188856, 195342, 195738, 195748
  Reviewed by:	kwm
  Approved by:	mentor (implicit)

Changes:
  head/devel/py-gobject3/pkg-plist
  head/devel/py3-gobject3/pkg-plist